/* Hero section */
.home-hero { 
    position: relative; 
    text-align: center; 
    margin-bottom: 40px;
    margin-top: 13rem;
 }

.home-hero-title {
    font-size: 14rem;
    color: black;
    font-family: 'EditorCondensed';
    line-height: 70%;
    place-self: center;
    transition: transform 0.5s ease-out, opacity 0.5s ease-out;
    margin-top: -35rem;
    margin-bottom: 24rem;
}

/* Description */
.home-description {
    margin: 40px auto 30px auto;
    max-width: 700px;
    font-size: 1.2rem;
    line-height: 1.7;
    color: #223;
    font-weight: 600;
        text-align: justify;
}
/* Gallery */
.home-gallery {
    display: flex;
    justify-content: space-between;
    height: 100vh;
    margin-top: 20%;
    margin-bottom: 25%;
}

img.one {
    height: 80%;
}
img.two {
    width: 58%;
    object-fit: cover;
}

.home-specialty-section {
    display: flex;
    gap: 40px;
    align-items: center;
    margin-bottom: 20%;
}
.home-specialty-left { flex: 1; text-align:left; }

.home-specialty-left h2 {
    font-size: 1.2rem;
    text-transform: uppercase;
    margin-bottom: 15px;
    color: black;
    font-weight: 500;
}


.home-specialty-title {
    font-size: 14rem;
    color: black;
    font-family: 'EditorCondensed';
    margin-bottom: 18px;
    font-weight: 300;
    line-height: 80%;
}

.home-specialty-description {
    font-size: 1.2rem;
    color: black;
    margin-bottom: 22px;
    margin-top: 10rem;
    font-weight: 500;
    line-height: 150%;
}
.btn {
    display: inline-block;
    padding: 12px 24px;
    background: transparent;
    color: black;
    font-weight: 500;
    border-radius: 0;
    text-decoration: none;
    margin-top: 8rem;
    font-family: 'EditorCondensed';
    font-size: 3rem;
    text-transform: lowercase;
    position: relative; /* konieczne dla absolutnego pozycjonowania :before */
    line-height: 1;
}

.btn:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    height: 1px;
    width: 100%;
    background-color: black;
    transition: width 0.3s ease; /* animacja szerokości */
}

.btn:hover:before {
    width: 0; /* kreska się zwija do zera */
}

.home-specialty-left .btn {
    float: right;
}
.home-specialty-right { flex: 1; text-align: center; }
.home-specialty-right img {
    max-width: 80%;
    border-radius: 12px;
    float: right;
}


.home-bestsellers h2 {
    font-size: 6rem;
    margin-bottom: 33px;
    color: black;
    font-family: 'EditorCondensed';
    justify-self: left;
    width: 15%;
    text-align: left;
    margin-left: 2%;
}
.home-categories-grid {
    display: flex;
    gap: 16px;
    justify-content: center;
    margin-bottom: 28px;
}

.home-category-box img:hover {
    clip-path: inset(10px 1%);
    transition: 0.3s;

}
.home-category-box {
    flex: 1;
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.home-category-box img {
    transition: clip-path 0.3s ease, transform 0.3s ease;
    clip-path: inset(0);
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin-bottom: 15px;
}
.home-category-box img:hover {
    clip-path: inset(10px 3%);
}

.home-category-title {
    font-size: 2rem;
    font-weight: 500;
    color: black;
    text-transform: uppercase;
    margin-top: 6rem;
    width: 45%;
    justify-self: center;
}
.home-ig-images img {
    transition: clip-path 0.3s ease, transform 0.3s ease;
    clip-path: inset(0);
}
.home-ig-images img:hover {
    clip-path: inset(10px 3%);
}






.home-instagram-follow {
    max-width: 100%;
    margin-top: 20%;
    margin-bottom: 20%;
}
.ig-follow-title {
    display: flex;
    align-items: center;
    font-size: 6rem;
    margin-bottom: 18px;
    justify-content: space-between;
    font-family: 'EditorCondensed';
}
.ig-follow-title span {
    width: 22%;
}
.ig-follow-title span.ig-handle {
    width: 40%;
}
.ig-handle {
    font-size: 9rem;
    font-weight: 300;
    color: black;
    text-align: right;
}
.home-instagram-columns {
    display: flex;
    align-items: flex-start;
    margin-top: 12%;
    margin-bottom: 12%;
    height: 220px;
}
.home-instagram-col { min-width:120px;}
.home-ig-images {
    display: flex;
    flex-direction: row;
    gap: 15px;
    align-items: center;
    justify-content: space-between;
}
.home-ig-images img {
    width: 100%;
    height: 32%;
    object-fit: cover;
}
.home-ig-icon { display:flex; align-items:center; justify-content:center;}
.home-ig-icon img {
    width: 82%;
    height: 30%;
    margin-right: 33rem;
    margin-top: 30rem;
}




.home-hero img {
    width: 330px;
    height: 510px;
    object-fit: cover;
}
.cta {
    place-self: center;
    margin-top: 8%;
}

.home-instagram-columns .col-6 {
    flex: 0 0 40%;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}
.home-specialty-left h3 {
    text-transform: uppercase;
    font-weight: 500;
    margin-bottom: 1rem;
    font-family: 'montserrat';
}




.home-specialty-title strong {
  position: relative; /* konieczne, bo absolutne pozycjonowanie będzie względem tego elementu */
}

.home-specialty-title strong::before {
    content: "";
    position: absolute;
    top: 7rem;
    left: 96%;
    transform: translateX(-115%);
    width: 220px;
    height: 70px;
    background-image: url(http://klechaestetic.dream-county.pl/wp-content/uploads/2025/08/ZDJECIE-5-1.jpg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none;
    z-index: 10;
}

a.ig-handle {
    text-decoration: none;
}







@media only screen and (max-width: 1024px) {
img.one {
    height: 40%;
}
img.two {
    height: 60%;
}
.home-specialty-title {
    font-size: 8rem;
}
.ig-handle {
    font-size: 6rem;
}
.home-specialty-section {
    gap: 60px;
}
.home-hero-title {
    font-size: 12rem;
}
img.two {
    height: 70%;
}
.home-specialty-title {
    font-size: 6rem;
}
.home-specialty-description {
    margin-top: 5rem;
}
.btn {
    margin-top: 3rem;
    font-size: 3rem;
}
.home-bestsellers h2 {
    font-size: 6rem;
    width: 40%;
}
.home-category-title {
    font-size: 1.2rem;
    margin-top: 3rem;
    width: 80%;
}
.ig-follow-title span {
    width: 45%;
}
.home-instagram-columns .col-6 {
    flex: 0 0 50%;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}

.col-3 {
    flex: 0 0 15%;
    width: 28%;
}
.home-instagram-columns .col-6 {
    flex: 0 0 60%;
}
.home-instagram-columns .col-6 {
    flex: 0 0 63%;
    width: 50%;
    margin-left: 0;
    margin-right: auto;
}
.home-ig-icon img {
    width: 157%;
    height: 48%;
    margin-right: 9rem;
    margin-top: 1rem;
}
.home-gallery {
    height: 75vh;
    margin-bottom: 5%;
}
}










@media only screen and (max-width: 800px) {
    .home-hero-title {
        font-size: 8rem;
    }
    .home-hero img {
    width: 300px;
    height: 440px;
}
.home-description {
    margin: 0px;
    margin-left: 2%;
    margin-right: 2%;
}
img.one {
        height: 40%;
}
img.two {
        height: 60%;
}
.home-gallery {
    margin-top: 50%;
    height: 55vh;
    margin-bottom: 5%;
}
.home-specialty-section {
        flex-direction: column;
}
    .home-categories-grid {
        flex-wrap: wrap;
        flex-direction: row;
        display: flex;
        justify-content: space-between;
        margin-bottom: 50px; /* doda odstęp od sekcji poniżej */
        justify-content: center;
    }

    .home-category-box {
        flex: 0 0 46%;
        max-width: 48%;
        margin-bottom: 20px; /* odstęp między wierszami */
    }

    .home-category-box img {
        height: auto; /* unikamy 100% */
    }

    .home-bestsellers.full-none {
        height: auto;
        margin-top: 60%;
    }
    .home-bestsellers h2 {
        width: 60%;
    }
    .home-category-title {
        margin-top: 0rem;
    }
    .ig-follow-title {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
    .ig-follow-title span, .ig-follow-title span.ig-handle {
        width: 100%;
        text-align: center;
    }
 a.twoja-klasa {
    color: black;
    align-self: center;
    font-size: 4rem;
}
a.ig-handle {
    width: 100%;
    text-align: center;
}
    .ig-follow-title {
    gap: 24px;
}
.home-instagram-columns {
    flex-direction: column;
}
.home-instagram-columns .col-6 {
        width: 100%;
    }
  /*  .home-ig-icon {
    display: flex;
    justify-content: flex-start;
  position: relative;
  width: 100%;
  height: 200px; 
  overflow: hidden;
}

.home-ig-icon img {
  width: 32%;
  height: 32%;
  position: absolute;
  left: 14rem; 
  top: 0; 
  margin: 0;
}
*/
.home-ig-icon img {
    display: none;
}

.home-instagram-columns .col-3 {
        flex: 0 0 34%;
        width: 54%;
    }
    .home-instagram-columns {
    align-items: flex-end;
}
    .home-ig-icon img {
        width: 32%;
        height: 32%;
        margin: 0px;
        position: absolute;
        margin-left: 13rem;
    }

    .home-specialty-title strong::before {
        top: 1rem;
        width: 96px;
    }
    .home-specialty-right img {
    float: none;
}
a.ig-handle {
    width: 100%;
    text-align: center;
    text-decoration: none;
}
h1.home-hero-title.fade-in.delay.visible {
    margin-bottom: 23rem;
    margin-top: -26rem;
}

}
